Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.keyattributedmr.model
Interface VKeyattributedmrFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VKeyattributedmrFactoryImpl

    public interface VKeyattributedmrFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `VKeyattributedmrPackage`

Field Summary
`static VKeyattributedmrFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`VKeyAttributeDomainModelReference` | `createKeyAttributeDomainModelReference()` Returns a new object of class 'Key Attribute Domain Model Reference'.
`VKeyattributedmrPackage` | `getKeyattributedmrPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final VKeyattributedmrFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createKeyAttributeDomainModelReference

    VKeyAttributeDomainModelReference createKeyAttributeDomainModelReference()

  Returns a new object of class 'Key Attribute Domain Model Reference'.

  Returns:
    a new object of class 'Key Attribute Domain Model Reference'.

### getKeyattributedmrPackage

    VKeyattributedmrPackage getKeyattributedmrPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.